/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IAEQKSRT_H
#define _IAEQKSRT_H

#include <iglobals.h>
#include <icursor.h>
#include <iaeqkey.h>
#include <iaeqsrt.h>
#include <iaksrt.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack (4)

template < class Element, class Key >
class IAEqualityKeySortedCollection :
  public virtual IAEqualityKeyCollection < Element, Key >,
  public virtual IAEqualitySortedCollection < Element >,
  public virtual IAKeySortedCollection < Element, Key >
{
};

#pragma info (restore)
#pragma pack ()

#endif
