/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IAKSBAG_H
#define _IAKSBAG_H

#include <iglobals.h>
#include <icursor.h>
#include <iaksrt.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack (4)

template < class Element, class Key >
class IAKeySortedBag :
  public virtual IAKeySortedCollection < Element, Key > {
public:

  virtual
  long     compare        (IAKeySortedBag < Element, Key > const&,
                           long (*comparisonFunction)
                            (Element const&, Element const&)) const;

};

#ifndef __TEMPINC__
#include <iaksbag.c>
#endif

#pragma info (restore)
#pragma pack ()

#endif
