/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IAKSRT_H
#define _IAKSRT_H

#include <iglobals.h>
#include <icursor.h>
#include <iasrt.h>
#include <iakey.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack (4)

template < class Element, class Key >
class IAKeySortedCollection :
  public virtual IASortedCollection < Element >,
  public virtual IAKeyCollection < Element, Key >
{
};

#pragma info (restore)
#pragma pack ()

#endif
