/********************************************************************************/
/* File:  iany.inl                                                              */
/* Class: IAny                                                                  */
/*                                                                              */
/* Coda's implementation of IAny                                                */
/********************************************************************************/

/******************************************************************************/
/*                                                                            */
/* IBM(R) VisualAge(TM) C++ for OS/2(R), Version 3                            */
/* (C) Copyright IBM Corp. 1991, 1995.                                        */
/*  - Licensed Material - Program-Property of IBM - All Rights Reserved.      */
/* US Government Users Restricted Rights - Use, duplication or disclosure     */
/* restricted by GSA ADP Schedule Contract with IBM Corp.                     */
/*                                                                            */
/******************************************************************************/

#ifndef _IANY_INL_
#define _IANY_INL_

#ifndef _IANY_HPP_
#include "iany.hpp"
#endif

/********************************************************************************/
/* IAny                                                                         */
/*                                                                              */
/* constructor                                                                  */
/********************************************************************************/

inline
IAny::IAny ( )
:_tpCode(NULL),_release(True), _value_type(ITypeCode::tk_null)
{
}

/********************************************************************************/
/* IAny                                                                         */
/*                                                                              */
/* constructor                                                                  */
/********************************************************************************/

inline
IAny::IAny( const ITypeCode& tc, void* valP, IBoolean release)
  :_value_void(valP),
   _value_type(ITypeCode::tk_void),
   _release(release),
   _tpCode(tc.duplicate())
{}

#endif


