/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

/***********************************************************************
*                                                                      *
* DESCRIPTION:                                                         *
*   Definition of the inline functions declared in ibexctxt.h.         *
*                                                                      *
***********************************************************************/

inline ICollectionExceptionText::~ICollectionExceptionText ( )
/****************************************************************/
/*                                                              */
/****************************************************************/
{
  delete ivMsgTxt;
}

inline ICollectionExceptionText::operator const char* () const
/****************************************************************/
/*                                                              */
/****************************************************************/
{
  if (ivMsgTxt != 0)
    return ivMsgTxt->text();
  else
    return "unknown exception text";
}

inline const char* ICollectionExceptionText::text ( ) const
/****************************************************************/
/*                                                              */
/****************************************************************/
{
  if (ivMsgTxt != 0)
    return ivMsgTxt->text();
  else
    return "unknown exception text";
}
