#ifndef _IDDECOMM_
#define _IDDECOMM_
/*******************************************************************************
* FILE NAME: iddecomm.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IDDE                                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>

#pragma pack(4)


class IDDE : public IBase {
typedef IBase 
  Inherited;
public:
/*-------------------------- DDE Predefined Formats --------------------------*/
typedef const char* Format;

static Format const
  textFormat,
  displayTextFormat,
  bitmapFormat,
  displayBitmapFormat,
  metafileFormat,
  displayMetafileFormat,
  metafilePictureFormat,
  displayMetafilePictureFormat,
  paletteFormat,
  linkFormat,
  sylkFormat,
  codepageTextFormat,
  dibFormat,
  difFormat,
  tiffFormat,
  oemTextFormat;

private:
/*------------------------------ Hidden Members ------------------------------*/
  IDDE ( );

}; // IDDE


#pragma pack()

#endif /* _IDDECOMM_ */
