/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IKEYBAG_H
#define _IKEYBAG_H

#include <ihshkb.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack (4)

template < class Element, class Key, class ElementOps >
class IGKeyBag : public IGHashKeyBag < Element, Key, ElementOps > {
public:


  IGKeyBag (INumber n = 100) :
    IGHashKeyBag < Element, Key, ElementOps > (n) {}
};

template < class Element, class Key >
class IKeyBag : public IHashKeyBag < Element, Key > {
public:


  IKeyBag (INumber n = 100) :
    IHashKeyBag < Element, Key > (n) {}
};

#pragma info (restore)
#pragma pack ()

#endif
