/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)

#ifdef ICL_NO_INLINE
#define inline
#include <iksbseq.inl>
#undef inline
#endif


// ***************************** IWKSBagOnSeq *************************

template <class Element, class Key, class ElementOps, class Base>
IBoolean IWKSBagOnSeq <Element, Key, ElementOps, Base>::
removePredicate (Element const& element, void* p)
{ EnvForRemovePredicate *env = (EnvForRemovePredicate*)p;
  return env->ops->keyOps.compare
           (env->ops->key (element), *env->key) == 0;
}

#pragma info (restore)
