/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IKSSET_H
#define _IKSSET_H

#include <iavlkss.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack (4)

template < class Element, class Key, class ElementOps >
class IGKeySortedSet :
  public IGAvlKeySortedSet < Element, Key, ElementOps > {
public:


  IGKeySortedSet (INumber n = 100) :
    IGAvlKeySortedSet < Element, Key, ElementOps > (n) {}
};

template < class Element, class Key >
class IKeySortedSet : public IAvlKeySortedSet < Element, Key > {
public:


  IKeySortedSet (INumber n = 100) :
    IAvlKeySortedSet < Element, Key > (n) {}
};

#pragma info (restore)
#pragma pack ()

#endif
