/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQEQSEQ_H
#define _IQEQSEQ_H

#include <ireqseq.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Base >
class IQEqualitySequence : public virtual IREqualitySequence < Element, Base >
{
public:

  Base ivBase;

  IQEqualitySequence (INumber n = 100)
  : ivBase (n), IREqualitySequence < Element, Base > (ivBase)
  {
  }

  IQEqualitySequence (IQEqualitySequence < Element, Base > const& c)
  : ivBase (c.ivBase), IREqualitySequence < Element, Base > (ivBase)
  {
  }

  IQEqualitySequence < Element, Base >&
           operator= (IQEqualitySequence < Element, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack ()

#endif
