/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQHEAP_H
#define _IQHEAP_H

#include <irheap.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Base >
class IQHeap : public virtual IRHeap < Element, Base >
{
public:

  Base ivBase;

  IQHeap (INumber n = 100)
  : ivBase (n), IRHeap < Element, Base > (ivBase)
  {
  }

  IQHeap (IQHeap < Element, Base > const& c)
  : ivBase (c.ivBase), IRHeap < Element, Base > (ivBase)
  {
  }

  IQHeap < Element, Base >&
           operator= (IQHeap < Element, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack ()

#endif
