/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQKEYBAG_H
#define _IQKEYBAG_H

#include <irkeybag.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Key, class Base >
class IQKeyBag : public virtual IRKeyBag < Element, Key, Base >
{
public:

  Base ivBase;

  IQKeyBag (INumber n = 100)
  : ivBase (n), IRKeyBag < Element, Key, Base > (ivBase)
  {
  }

  IQKeyBag (IQKeyBag < Element, Key, Base > const& c)
  : ivBase (c.ivBase), IRKeyBag < Element, Key, Base > (ivBase)
  {
  }

  IQKeyBag < Element, Key, Base >&
           operator= (IQKeyBag < Element, Key, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack()

#endif
