/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQKEYSET_H
#define _IQKEYSET_H

#include <irkeyset.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Key, class Base >
class IQKeySet : public virtual IRKeySet < Element, Key, Base >
{
public:

  Base ivBase;

  IQKeySet (INumber n = 100)
  : ivBase (n), IRKeySet < Element, Key, Base > (ivBase)
  {
  }

  IQKeySet (IQKeySet < Element, Key, Base > const& c)
  : ivBase (c.ivBase), IRKeySet < Element, Key, Base > (ivBase)
  {
  }

  IQKeySet < Element, Key, Base >&
           operator= (IQKeySet < Element, Key, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack()

#endif
