/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQMAP_H
#define _IQMAP_H

#include <irmap.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Key, class Base >
class IQMap : public virtual IRMap < Element, Key, Base >
{
public:

  Base ivBase;

  IQMap (INumber n = 100)
  : ivBase (n), IRMap < Element, Key, Base > (ivBase)
  {
  }

  IQMap (IQMap < Element, Key, Base > const& c)
  : ivBase (c.ivBase), IRMap < Element, Key, Base > (ivBase)
  {
  }

  IQMap < Element, Key, Base >&
           operator= (IQMap < Element, Key, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack()

#endif
