/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQQUEUE_H
#define _IQQUEUE_H

#include <irqueue.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Base >
class IQQueue : public virtual IRQueue < Element, Base >
{
public:

  Base ivBase;

  IQQueue (INumber n = 100)
  : ivBase (n), IRQueue < Element, Base > (ivBase)
  {
  }

  IQQueue (IQQueue < Element, Base > const& c)
  : ivBase (c.ivBase), IRQueue < Element, Base > (ivBase)
  {
  }

  IQQueue < Element, Base >&
           operator= (IQQueue < Element, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack()

#endif
