/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQSEQ_H
#define _IQSEQ_H

#include <irseq.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Base >
class IQSequence : public virtual IRSequence < Element, Base >
{
public:

  Base ivBase;

  IQSequence (INumber n = 100)
  : ivBase (n), IRSequence < Element, Base > (ivBase)
  {
  }

  IQSequence (IQSequence < Element, Base > const& c)
  : ivBase (c.ivBase), IRSequence < Element, Base > (ivBase)
  {
  }

  IQSequence < Element, Base >&
           operator= (IQSequence < Element, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack()

#endif
