/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQSET_H
#define _IQSET_H

#include <irset.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Base >
class IQSet : public virtual IRSet < Element, Base >
{
public:

  Base ivBase;

  IQSet (INumber n = 100)
  : ivBase (n), IRSet < Element, Base > (ivBase)
  {
  }

  IQSet (IQSet < Element, Base > const& c)
  : ivBase (c.ivBase), IRSet < Element, Base > (ivBase)
  {
  }

  IQSet < Element, Base >&
           operator= (IQSet < Element, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack()

#endif
