/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQSTACK_H
#define _IQSTACK_H

#include <irstack.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Base >
class IQStack : public virtual IRStack < Element, Base >
{
public:

  Base ivBase;

  IQStack (INumber n = 100)
  : ivBase (n), IRStack < Element, Base > (ivBase)
  {
  }

  IQStack (IQStack < Element, Base > const& c)
  : ivBase (c.ivBase), IRStack < Element, Base > (ivBase)
  {
  }

  IQStack < Element, Base >&
           operator= (IQStack < Element, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack()

#endif
