#ifndef _ISCROLL_INL_
#define _ISCROLL_INL_ 0
/*******************************************************************************
* FILE NAME: iscroll.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in iscroll.hpp.                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _ISCROLL_
  #undef  _ISCROLL_INL_
  #define _ISCROLL_INL_ 1
  #include <iscroll.hpp>
#endif

#if _ISCROLL_INL_
  #define inline
#endif

inline void  IScrollBar :: setDefaultStyle ( const IScrollBar::Style& style )
  {
  currentDefaultStyle = style;
  }

#endif // _ISCROLL_INL_
