/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _ISEQ_H
#define _ISEQ_H

#include <ilnseq.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack (4)

template < class Element, class ElementOps >
class IGSequence : public IGLinkedSequence < Element, ElementOps > {
public:


  IGSequence (INumber n = 100) :
    IGLinkedSequence < Element, ElementOps > (n) {}
};

template < class Element >
class ISequence : public ILinkedSequence < Element > {
public:


  ISequence (INumber n = 100) :
    ILinkedSequence < Element > (n) {}
};

#pragma info (restore)
#pragma pack ()

#endif
