/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)

#ifdef ICL_NO_INLINE
#define inline
#include <isetks.inl>
#undef inline
#endif


// *************************** IWSetOnKeySet **************************

template <class Element, class ElementOps, class Base>
IBoolean IWSetOnKeySet <Element, ElementOps, Base>::
isContained (Element const& element, void* env) {
  return (*(IWSetOnKeySet <Element, ElementOps, Base>**) env)
           ->contains (element);
}

template <class Element, class ElementOps, class Base>
IBoolean IWSetOnKeySet <Element, ElementOps, Base>::
isNotContained (Element const& element, void* env) {
  return ! (*(IWSetOnKeySet <Element, ElementOps, Base>**) env)
             ->contains (element);
}

#pragma info (restore)
