/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)

#ifdef ICL_NO_INLINE
#define inline
#include <ismkss.inl>
#undef inline
#endif


// ***************************** IWSrtMapOnKSSet ********************

template <class Element, class Key, class ElementOps, class Base>
IBoolean IWSrtMapOnKSSet <Element, Key, ElementOps, Base>::
isContained (Element const& element, void* env)
{ return (*(IWSrtMapOnKSSet <Element, Key, ElementOps, Base>**) env)
           ->contains (element);
}

template <class Element, class Key, class ElementOps, class Base>
IBoolean IWSrtMapOnKSSet <Element, Key, ElementOps, Base>::
isNotContained (Element const& element, void* env)
{ return ! (*(IWSrtMapOnKSSet <Element, Key, ElementOps, Base>**) env)
             ->contains (element);
}

#pragma info (restore)
