/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _ISYNONYM_H_
#define _ISYNONYM_H_

/**********************************************************************
*                                                                     *
* DESCRIPTION:                                                        *
*   This file declares synonyms for the types and values              *
*   nested within                                                     *
*   class IBase (see <ibase.hpp>).  #include-ing this file results in *
*   those                                                             *
*   names being placed in the global name space, permitting consistent*
*   usage                                                             *
*   in IBase derived classes and client code.                         *
*                                                                     *
*   If these global names conflict with other usage of these names    *
*   within                                                            *
*   a client application, then this file should be modified for use   *
*   in such                                                           *
*   application.  For example, if you are using another library       *
*   which                                                             *
*   utilizes the typedef Boolean, then change "Boolean" below to      *
*   something                                                         *
*   like "IBoolean." "IBoolean" would then be used throughout your    *
*   application.                                                      *
*                                                                     *
**********************************************************************/
#include <isynonym.hpp>

#endif /* _ISYNONYM_H_ */
