/********************************************************************************/
/* File:  itk_bool.hpp                                                          */
/* Class: ITypeCodeBoolean                                                      */
/*                                                                              */
/* Type code for double value                                                   */
/********************************************************************************/

/******************************************************************************/
/*                                                                            */
/* IBM(R) VisualAge(TM) C++ for OS/2(R), Version 3                            */
/* (C) Copyright IBM Corp. 1991, 1995.                                        */
/*  - Licensed Material - Program-Property of IBM - All Rights Reserved.      */
/* US Government Users Restricted Rights - Use, duplication or disclosure     */
/* restricted by GSA ADP Schedule Contract with IBM Corp.                     */
/*                                                                            */
/******************************************************************************/

#ifndef _ITK_BOOL_HPP_
#define _ITK_BOOL_HPP_

#include "itypecod.hpp"

class ITypeCodeBoolean : public ITypeCode
{

public:

  // compare 2 typecodes
  Boolean
    operator == (const ITypeCode &a ) const;

  // returns the type of what typecode describes
  TCKind
    kind() const;

  ITypeCodeBoolean*
    duplicate() const;
};


#ifndef _ITK_BOOL_INL_
#include "itk_bool.inl"
#endif

#endif
