/********************************************************************************/
/* File:  itk_char.hpp                                                          */
/* Class: ITypeCodeChar                                                         */
/*                                                                              */
/* Type code for Char  value                                                    */
/********************************************************************************/

/******************************************************************************/
/*                                                                            */
/* IBM(R) VisualAge(TM) C++ for OS/2(R), Version 3                            */
/* (C) Copyright IBM Corp. 1991, 1995.                                        */
/*  - Licensed Material - Program-Property of IBM - All Rights Reserved.      */
/* US Government Users Restricted Rights - Use, duplication or disclosure     */
/* restricted by GSA ADP Schedule Contract with IBM Corp.                     */
/*                                                                            */
/******************************************************************************/

#ifndef _ITK_CHAR_HPP_
#define _ITK_CHAR_HPP_

#include "itypecod.hpp"
#include "iany.hpp"


class ITypeCodeChar : public ITypeCode
{

public:

  // compare 2 typecodes
  Boolean
    operator == (const ITypeCode &a ) const;

  // returns the type of what typecode describes
  TCKind
    kind() const;

  ITypeCodeChar*
    duplicate() const;

};


#ifndef _ITK_CHAR_INL_
#include "itk_char.inl"
#endif

#endif
