/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _ITREE_H
#define _ITREE_H

#include <itbtre.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack (4)

template < class Element, class ElementOps, INumber numberOfChildren >
class IGTree :
  public IGTabularTree < Element, ElementOps, numberOfChildren > {
};

template < class Element, INumber numberOfChildren >
class ITree : public ITabularTree < Element, numberOfChildren > {
};

#pragma info (restore)
#pragma pack ()

#endif
