#if (defined(__IBMC__) || defined(__IBMCPP__))
#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )
#endif

#ifndef __locale_h
   #define __locale_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   #ifndef  _LNK_CONV
      #ifdef _M_I386
         #define _LNK_CONV   _Optlink
      #else
         #define _LNK_CONV
      #endif
   #endif

   #ifndef _IMPORT
      #ifdef __IMPORTLIB__
         #define _IMPORT _Import
      #else
         #define _IMPORT
      #endif
   #endif

   /********************************************************************/
   /*  <locale.h> header file                                          */
   /*                                                                  */
   /*  IBM VisualAge C++ for OS/2, Version 3.00                        */
   /*  (C) Copyright IBM Corp. 1991, 1995.                             */
   /*  - Licensed Material - Program-Property of IBM                   */
   /*  - All rights reserved                                           */
   /*                                                                  */
   /********************************************************************/

   #ifndef NULL
      #if (defined(__EXTENDED__)  || defined( __cplusplus ))
         #define NULL 0
      #else
         #define NULL ((void *)0)
      #endif
   #endif

   /* Categories */

   #define LC_ALL       (-1)
   #define LC_COLLATE    0
   #define LC_CTYPE      1
   #define LC_NUMERIC    2
   #define LC_MONETARY   3
   #define LC_TIME       4
   #define LC_TOD        5
   #define LC_MESSAGES   6
   #define LC_SYNTAX     7

   /* Locales */

   #define LC_C          "C"
   #define LC_C_GERMANY  "GERM"
   #define LC_C_FRANCE   "FRAN"
   #define LC_C_UK       "UK"
   #define LC_C_ITALY    "ITAL"
   #define LC_C_SPAIN    "SPAI"
   #define LC_C_USA      "USA"

   /******************************************************************/
   /* These 3 defines are only used for Giverny Version J1.0 only.   */
   /******************************************************************/

   #define LC_C_JAPAN    "JAPN"
   #define LC_C_JAPAN2   "JAP2"
   #define LC_C_JAPAN3   "JAP3"

   struct lconv
      {
      char * decimal_point;
      char * thousands_sep;
      char * grouping;
      char * int_curr_symbol;
      char * currency_symbol;
      char * mon_decimal_point;
      char * mon_thousands_sep;
      char * mon_grouping;
      char * positive_sign;
      char * negative_sign;
      char   int_frac_digits;
      char   frac_digits;
      char   p_cs_precedes;
      char   p_sep_by_space;
      char   n_cs_precedes;
      char   n_sep_by_space;
      char   p_sign_posn;
      char   n_sign_posn;
      char *left_parenthesis;
      char *right_parenthesis;
      char *debit_sign;
      char *credit_sign;
      };

   /* Prototype definitions */

   char         * _IMPORT _LNK_CONV setlocale( int, const char * );
   struct lconv * _IMPORT _LNK_CONV localeconv( void );

   #ifdef __EXTENDED__
   struct dtconv {
            char *abbrev_month_names[12]; /* Abbreviated month names      */
            char *month_names[12];        /* full month names             */
            char *abbrev_day_names[7];    /* Abbreviated day names        */
            char *day_names[7];           /* full day names               */
            char *date_time_format;       /* date and time format         */
            char *date_format;            /* date format                  */
            char *time_format;            /* time format                  */
            char *am_string;              /* AM string                    */
            char *pm_string;              /* PM string                    */
            char *time_format_ampm;       /* long date format             */
    };

    struct dtconv * _LNK_CONV localdtconv(void);
  #endif

   #ifdef __cplusplus
      }
   #endif

#endif

#if (defined(__IBMC__) || defined(__IBMCPP__))
#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
#endif
