#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifndef __utime_h
   #define __utime_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   #ifndef  _LNK_CONV
      #ifdef __LE2__
         #define  _LNK_CONV   _System
      #else
         #define  _LNK_CONV   _Optlink
      #endif
   #endif

   /********************************************************************/
   /*  <sys\utime.h> header file                                       */
   /*                                                                  */
   /*  IBM VisualAge C++ for OS/2, Version 3.00                        */
   /*  (C) Copyright IBM Corp. 1991, 1995.                             */
   /*  - Licensed Material - Program-Property of IBM                   */
   /*  - All rights reserved                                           */
   /*                                                                  */
   /********************************************************************/

   #if defined(__EXTENDED__)

      #ifndef  __time_t
         #define __time_t
         typedef long time_t;
      #endif

      /* define struct used by _utime() function */

      struct utimbuf
         {
         time_t actime;          /* access time */
         time_t modtime;         /* modification time */
         };

      /* function prototypes */

      int _LNK_CONV _utime( char *, struct utimbuf * );

      #define utime(a,b) _utime((a),(b))

   #endif

   #ifdef __cplusplus
      }
   #endif

#endif

#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
