#ifndef _IDAXBS_H_
#define _IDAXBS_H_
/******************************************************************************/
/* FILE NAME: idaxbs.h                                                        */
/*                                                                            */
/* DESCRIPTION:                                                               */
/*   This file contains base defines and typedefs                             */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/*                                                                            */
/* IBM(R) VisualAge(TM) C++ for OS/2(R), Version 3                            */
/* (C) Copyright IBM Corp. 1991, 1995.                                        */
/*  - Licensed Material - Program-Property of IBM - All Rights Reserved.      */
/* US Government Users Restricted Rights - Use, duplication or disclosure     */
/* restricted by GSA ADP Schedule Contract with IBM Corp.                     */
/*                                                                            */
/******************************************************************************/

#define OCLI_TRUE        (long)1     // UserEnvironment Option - True
#define OCLI_FALSE       (long)0     // UserEnvironment Option - False

/*************  options on IDatastoreConnection *******************/

#define OCLI_OPT_ACCESS_MODE             (long)100
  #define OCLI_ACCESS_MODE_READONLY       (long)101
  #define OCLI_ACCESS_MODE_READWRITE      (long)102

#define OCLI_OPT_SHARE_MODE              (long)110
  #define OCLI_SHARE_MODE_SHARED          (long)111
  #define OCLI_SHARE_MODE_EXCLUSIVE       (long)112

#define OCLI_OPT_USER_ENVIRONMENT        (long)121

#define OCLI_OPT_DATASTORE_ID            (long)122

#define OCLI_OPT_CONNECT_STATE           (long)130
  #define OCLI_CONNECT_STATE_OPEN          (long)131
  #define OCLI_CONNECT_STATE_CLOSED        (long)132

#define OCLI_OPT_AUTOCOMMIT_MODE          (long)134
  #define OCLI_AUTOCOMMIT_MODE_ON           (long)135
  #define OCLI_AUTOCOMMIT_MODE_OFF          (long)136

#define OCLI_OPT_DSM                     (long)145

/*************  options on IUserEnvironment *******************/

#define OCLI_OPT_OUTPUT_NTS              (long) 150

/**************************************************************/

#define OCLI_COMMIT   1
#define OCLI_ROLLBACK 2

/*************  options on IDDOCursor *************************/

#define OCLI_OPT_ABSOLUTE                (long)200
#define OCLI_OPT_RELATIVE                (long)201
#define OCLI_OPT_BEGIN                   (long)202
#define OCLI_OPT_END                     (long)203
#define OCLI_OPT_FIRST                   (long)204
#define OCLI_OPT_LAST                    (long)205
#define OCLI_OPT_NEXT                    (long)206
#define OCLI_OPT_PREVIOUS                (long)207

/*************  DDO *******************************************/
#define  OCLI_PROPTYPE_TYPE              "type"
#define  OCLI_PROPTYPE_SIZE              "size"
#define  OCLI_PROPTYPE_TABLE             "table"

#endif /* _IDAXBS_H_ */



