/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)

#ifdef ICL_NO_INLINE
#define inline
#include <iesseq.inl>
#undef inline
#endif


// **************************** IWEqSeqOnSeq ***************************

template <class Element, class ElementOps, class Base>
IBoolean IWEqSeqOnSeq <Element, ElementOps, Base>::
isEqual (Element const& element, void* venv)
{ EnvForIsEqual *env = (EnvForIsEqual*) venv;
  return env->ops->equal (*env->elem, element);
}

#pragma info (restore)
