/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQDEQUE_H
#define _IQDEQUE_H

#include <irdeque.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Base >
class IQDeque : public virtual IRDeque < Element, Base >
{
public:

  Base ivBase;

  IQDeque (INumber n = 100)
  : ivBase (n), IRDeque < Element, Base > (ivBase)
  {
  }

  IQDeque (IQDeque < Element, Base > const& c)
  : ivBase (c.ivBase), IRDeque < Element, Base > (ivBase)
  {
  }

  IQDeque < Element, Base >&
           operator= (IQDeque < Element, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack()

#endif
