/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQKSBAG_H
#define _IQKSBAG_H

#include <irksbag.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Key, class Base >
class IQKeySortedBag : public virtual IRKeySortedBag < Element, Key, Base >
{
public:

  Base ivBase;

  IQKeySortedBag (INumber n = 100)
  : ivBase (n), IRKeySortedBag < Element, Key, Base > (ivBase)
  {
  }

  IQKeySortedBag (IQKeySortedBag < Element, Key, Base > const& c)
  : ivBase (c.ivBase), IRKeySortedBag < Element, Key, Base > (ivBase)
  {
  }

  IQKeySortedBag < Element, Key, Base >&
           operator= (IQKeySortedBag < Element, Key, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack()

#endif
