/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#ifndef _IQSRTBAG_H
#define _IQSRTBAG_H

#include <irsrtbag.h>

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack(4)

template < class Element, class Base >
class IQSortedBag : public virtual IRSortedBag < Element, Base >
{
public:

  Base ivBase;

  IQSortedBag (INumber n = 100)
  : ivBase (n), IRSortedBag < Element, Base > (ivBase)
  {
  }

  IQSortedBag (IQSortedBag < Element, Base > const& c)
  : ivBase (c.ivBase), IRSortedBag < Element, Base > (ivBase)
  {
  }

  IQSortedBag < Element, Base >&
           operator= (IQSortedBag < Element, Base > const& c)
  { ivBase = c.ivBase;
    return *this;
  }
};

#pragma info (restore)
#pragma pack()

#endif
