#ifndef _ISLIDER_INL_
#define _ISLIDER_INL_ 0
/*******************************************************************************
* FILE NAME: islider.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in islider.hpp.                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _ISLIDER_
  #undef  _ISLIDER_INL_
  #define _ISLIDER_INL_ 1
  #include <islider.hpp>
#endif

#include <istring.hpp>

#if _ISLIDER_INL_
  #define inline
#endif

inline void IProgressIndicator :: setDefaultStyle(const IProgressIndicator::Style& style)
{
   currentDefaultStyle = style;
}

inline void ISlider :: setDefaultStyle(const ISlider::Style& style)
{
   currentDefaultStyle = style;
}

#endif // _ISLIDER_INL_
