/********************************************************************************/
/* File:  itk_floa.hpp                                                          */
/* Class: ITypeCodeFloat                                                        */
/*                                                                              */
/* Type code for float value                                                    */
/********************************************************************************/
/******************************************************************************/
/*                                                                            */
/*  (C)Copyright IBM Corporation 1991,1994 Licensed Material-Program Property */
/*  of IBM. All Rights Reserved. US Government Users Restricted Rights - Use, */
/*  duplication or disclosure restricted by GSA ADP Schedule Contract with    */
/*  IBM Corp.                                                                 */
/*                                                                            */
/******************************************************************************/

#ifndef _ITK_FLOA_HPP_
#define _ITK_FLOA_HPP_

#include "itypecod.hpp"

class ITypeCodeFloat : public ITypeCode
{

public:

  // compare 2 typecodes
  Boolean
    operator == (const ITypeCode &a ) const;
  
  // returns the type of what typecode describes
  TCKind
    kind() const;
  
  ITypeCodeFloat*
    duplicate() const;
};


#ifndef _ITK_FLOA_INL_
#include "itk_floa.inl"
#endif

#endif
