/********************************************************************************/
/* File:  itk_long.hpp                                                          */
/* Class: ITypeCodeLong                                                         */
/*                                                                              */
/* Type code for Long  value                                                    */
/********************************************************************************/

/******************************************************************************/
/*                                                                            */
/* IBM(R) VisualAge(TM) C++ for OS/2(R), Version 3                            */
/* (C) Copyright IBM Corp. 1991, 1995.                                        */
/*  - Licensed Material - Program-Property of IBM - All Rights Reserved.      */
/* US Government Users Restricted Rights - Use, duplication or disclosure     */
/* restricted by GSA ADP Schedule Contract with IBM Corp.                     */
/*                                                                            */
/******************************************************************************/

#ifndef _ITK_LONG_HPP_
#define _ITK_LONG_HPP_

#include "itypecod.hpp"

class ITypeCodeLong : public ITypeCode
{

public:
  // compare 2 typecodes
  Boolean
    operator == (const ITypeCode &a ) const;

  // returns the type of what typecode describes
  TCKind
    kind() const;

  ITypeCodeLong*
    duplicate() const;

};


#ifndef _ITK_LONG_INL_
#include "itk_long.inl"
#endif

#endif
