#ifndef _IVBDEFS_
  #define _IVBDEFS_

/*******************************************************************************
* FILE NAME: ivbdefs.h                                                         *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the defines and macros for the Visual Builder.              *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM(R) VisualAge(TM) C++ for OS/2(R), Version 3                            *
*   (C) Copyright IBM Corporation 1991, 1995.                                  *
*    - Licensed Material - Program-Property of IBM - All Rights Reserved.      *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*******************************************************************************/

#ifndef VBINITIALIZEID
  #define VBINITIALIZEID 0
#endif

#ifndef VBBASEWINDOWID
  #define VBBASEWINDOWID 15000
#endif

#ifndef VBINFOAREATEXTOFFSET
  #define VBINFOAREATEXTOFFSET 0
#endif

#ifndef VBSHORTFLYTEXTOFFSET
  #define VBSHORTFLYTEXTOFFSET 5000
#endif

#ifndef VBLONGFLYTEXTOFFSET
  #define VBLONGFLYTEXTOFFSET 10000
#endif

#ifndef VBSTRINGRC
#define VBSTRINGRC( resourceId )\
  IApplication::current().userResourceLibrary().tryToLoadString( resourceId )
#endif

#ifndef VBINTVALUEFROMTEXT
#define VBINTVALUEFROMTEXT()\
  text().asInt()
#endif

#ifndef VBUNSIGNEDVALUEFROMTEXT
#define VBUNSIGNEDVALUEFROMTEXT()\
  text().asUnsigned()
#endif

#ifndef VBDOUBLEVALUEFROMTEXT
#define VBDOUBLEVALUEFROMTEXT()\
  text().asDouble()
#endif

#ifndef VBISDIGITSFROMTEXT
#define VBISDIGITSFROMTEXT()\
  text().isDigits()
#endif

#ifndef VBLENGTHFROMTEXT
#define VBLENGTHFROMTEXT()\
  text().length()
#endif

#ifndef VBSETTEXTFROMVALUE
#define VBSETTEXTFROMVALUE( newValue )\
  setText(IString(newValue))
#endif

#ifndef VBSELECTIONTEXT
#define VBSELECTIONTEXT()\
  itemText(source->selection())
#endif

#ifndef FOCUSTRUEID
  #define FOCUSTRUEID focusId && ((Boolean)anEvent.eventData())
#endif

#ifndef FOCUSFALSEID
  #define FOCUSFALSEID focusId && (!((Boolean)anEvent.eventData()))
#endif

#ifndef ENABLETRUEID
  #define ENABLETRUEID enableId && ((Boolean)anEvent.eventData())
#endif

#ifndef ENABLEFALSEID
  #define ENABLEFALSEID enableId && (!((Boolean)anEvent.eventData()))
#endif

#ifndef VISIBLETRUEID
  #define VISIBLETRUEID visibleId && ((Boolean)anEvent.eventData())
#endif

#ifndef VISIBLEFALSEID
  #define VISIBLEFALSEID visibleId && (!((Boolean)anEvent.eventData()))
#endif

#ifndef VALUETRUEID
  #define VALUETRUEID valueId && ((Boolean)anEvent.eventData())
#endif

#ifndef VALUEFALUEID
  #define VALUEFALSEID valueId && (!((Boolean)anEvent.eventData()))
#endif

#endif
