#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifndef __timeb_h
   #define __timeb_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   #ifndef  _LNK_CONV
      #ifdef __LE2__
         #define  _LNK_CONV   _System
      #else
         #define  _LNK_CONV   _Optlink
      #endif
   #endif

   /********************************************************************/
   /*  <sys\timeb.h> header file                                       */
   /*                                                                  */
   /*  IBM VisualAge C++ for OS/2, Version 3.00                        */
   /*  (C) Copyright IBM Corp. 1991, 1995.                             */
   /*  - Licensed Material - Program-Property of IBM                   */
   /*  - All rights reserved                                           */
   /*                                                                  */
   /********************************************************************/

   #if defined(__EXTENDED__)

      #ifndef  __time_t
         #define __time_t
         typedef long time_t;
      #endif

      #pragma pack( 2 )
      struct timeb
         {
         time_t time;
         unsigned short millitm;
         short timezone;
         short dstflag;
         };
      #pragma pack( )

      void _LNK_CONV _ftime( struct timeb * );

      #define ftime(a) _ftime(a)

   #endif

   #ifdef __cplusplus
      }
   #endif

#endif

#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
