#if (defined(__IBMC__) || defined(__IBMCPP__))
#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )
#endif

#ifndef __wchar_h
   #define __wchar_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   #ifndef  _LNK_CONV
     #ifdef _M_I386
         #define  _LNK_CONV   _Optlink
     #else
       #define  _LNK_CONV
     #endif
   #endif

   /********************************************************************/
   /*  <wchar.h> header file                                           */
   /*                                                                  */
   /*  IBM VisualAge C++ for OS/2, Version 3.00                        */
   /*  (C) Copyright IBM Corp. 1991, 1995.                             */
   /*  - Licensed Material - Program-Property of IBM                   */
   /*  - All rights reserved                                           */
   /*                                                                  */
   /********************************************************************/

   #include <stdio.h>
   #include <stdarg.h>

   #ifndef NULL
      #ifdef __cplusplus
            #define NULL 0
      #else
            #define NULL ((void *)0)
      #endif
   #endif

   #ifndef __mbstate_t
      #define __mbstate_t
      typedef short      mbstate_t;
   #endif

   #ifndef __size_t
      typedef unsigned int size_t;
      #define __size_t 1
   #endif

   #ifndef __wchar_t
      typedef unsigned short wchar_t;
      #define __wchar_t 1
   #endif

   #ifndef __wint_t
      #define __wint_t
      typedef int        wint_t;
   #endif

   #ifndef WEOF
      #define WEOF -1
   #endif

   struct tm;

  /* Wide character I/O functions */

  wint_t    _LNK_CONV fgetwc(FILE *);
  wchar_t * _LNK_CONV fgetws(wchar_t *, int, FILE *);
  wint_t    _LNK_CONV fputwc(wchar_t, FILE *);
  int       _LNK_CONV fputws(const wchar_t *, FILE *);
  wint_t    _LNK_CONV getwc(FILE *);
  wint_t    _LNK_CONV getwchar(void);
  wint_t    _LNK_CONV putwc(wchar_t, FILE *);
  wint_t    _LNK_CONV putwchar(wchar_t);
  wint_t    _LNK_CONV ungetwc(wint_t, FILE *);
  int       _LNK_CONV swprintf(wchar_t *, size_t, const wchar_t *, ...);
  int       _LNK_CONV swscanf(const wchar_t *, const wchar_t *, ...);
  int       _LNK_CONV vswprintf(wchar_t *, size_t, const wchar_t *, va_list);

  double            _LNK_CONV wcstod(const wchar_t *, wchar_t **);
  long int          _LNK_CONV wcstol(const wchar_t *, wchar_t **, int);
  unsigned long int _LNK_CONV wcstoul(const wchar_t *, wchar_t **, int);

  /* Wide Character String handling */

  wchar_t * _LNK_CONV wcscpy (wchar_t *, const wchar_t *);
  wchar_t * _LNK_CONV wcsncpy (wchar_t *, const wchar_t *, size_t);
  wchar_t * _LNK_CONV wcscat (wchar_t *, const wchar_t *);
  wchar_t * _LNK_CONV wcsncat (wchar_t *, const wchar_t *, size_t);
  int       _LNK_CONV wcscoll(const wchar_t *, const wchar_t *);
  int       _LNK_CONV wcscmp (const wchar_t *, const wchar_t *);
  int       _LNK_CONV wcsncmp (const wchar_t *, const wchar_t *, size_t);
  size_t    _LNK_CONV wcsxfrm(wchar_t *, const wchar_t *, size_t);
  wchar_t * _LNK_CONV wcschr (const wchar_t *, wchar_t);
  size_t    _LNK_CONV wcscspn (const wchar_t *, const wchar_t *);
  wchar_t * _LNK_CONV wcspbrk (const wchar_t *, const wchar_t *);
  wchar_t * _LNK_CONV wcsrchr (const wchar_t *, wchar_t);
  size_t    _LNK_CONV wcsspn (const wchar_t *, const wchar_t *);
  wchar_t * _LNK_CONV wcsstr (const wchar_t *, const wchar_t *);
  wchar_t * _LNK_CONV wcstok(wchar_t *, const wchar_t *, wchar_t **);
  size_t    _LNK_CONV wcslen (const wchar_t *);
  int       _LNK_CONV wcswidth(const wchar_t *, size_t);
  int       _LNK_CONV wcwidth(const wint_t);

  size_t    _LNK_CONV wcsftime(wchar_t *, size_t, const wchar_t *, const struct tm *);

  int       _LNK_CONV mbsinit(mbstate_t *);
  size_t    _LNK_CONV mbrlen (const char *, size_t, mbstate_t *);
  size_t    _LNK_CONV mbrtowc (wchar_t *, const char *, size_t, mbstate_t *);
  size_t    _LNK_CONV wcrtomb (char *, wchar_t, mbstate_t *);
  size_t    _LNK_CONV mbsrtowcs (wchar_t *, const char **, size_t, mbstate_t *);
  size_t    _LNK_CONV wcsrtombs (char *, const wchar_t **, size_t, mbstate_t *);
  int       _LNK_CONV wctob (wint_t);

   #if (defined(__EXTENDED__)  || defined( __cplusplus ))
    #if (defined(__IBMC__) || defined(__IBMCPP__))
      #pragma map( vswprintf,"_vswprintfieee" )

      #if defined(_M_I386) || !defined(NO_PROTOTYPE)
        #pragma map( swprintf, "_swprintfieee" )
        #pragma map( swscanf,  "_swscanfieee" )
      #endif
    #else
        #pragma Alias( vswprintf,"_vswprintfieee" )
      #ifndef NO_PROTOTYPE
        #pragma Alias( swprintf, "_swprintfieee" )
        #pragma Alias( swscanf,  "_swscanfieee" )
      #endif
    #endif
   #else
    #if (defined(__IBMC__) || defined(__IBMCPP__))
      #if defined(_M_I386) || !defined(NO_PROTOTYPE)
        #pragma map( swprintf, "_swprintf_ansi"  )
        #pragma map( swscanf,  "_swscanf_ansi"  )
      #endif
    #else
      #ifndef NO_PROTOTYPE
        #pragma Alias( swprintf, "_swprintf_ansi"  )
        #pragma Alias( swscanf,  "_swscanf_ansi"  )
      #endif
    #endif
   #endif


   #ifdef __cplusplus
      }
   #endif

#endif

#if (defined(__IBMC__) || defined(__IBMCPP__))
#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
#endif
